//---------------------------------------------------------------------------
#ifndef OpenMailDlgsH
#define OpenMailDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
AnsiString __fastcall OpenMailQueue(TForm *Owner);
AnsiString __fastcall OpenSentMail(TForm *Owner);

class TOpenMailDlg : public TForm
{
__published:	// IDE-managed Components
	TComboBox *LookinBox;
	TSpeedButton *DeleteBtn;
	TListBox *ItemsBox;
	TButton *OkBtn;
	TButton *CancelBtn;
	TSpeedButton *SendBtn;
	TPopupMenu *PopupMenu;
	TMenuItem *PopupSendItem;
	TMenuItem *PopupDeleteItem;
	TPanel *Panel1;
	THeaderControl *HeaderControl1;
	void __fastcall ItemsBoxClick(TObject *Sender);

	void __fastcall DeleteBtnClick(TObject *Sender);
	void __fastcall SendBtnClick(TObject *Sender);
	void __fastcall PopupMenuPopup(TObject *Sender);
	void __fastcall ItemsBoxDrawItem(TWinControl *Control, int Index, TRect &Rect,
	TOwnerDrawState State);
private:	// User declarations
public:		// User declarations
    bool sendmail;
    AnsiString datakey,msgname;
	virtual __fastcall TOpenMailDlg(TComponent* Owner);
	virtual __fastcall TOpenMailDlg(TComponent* Owner, AnsiString DataKey);
    AnsiString Execute();
};

//---------------------------------------------------------------------------
extern TOpenMailDlg *OpenMailDlg;
//---------------------------------------------------------------------------
#endif
